List sports games
curl --request GET \
--url https://relay.bayse.markets/v1/pm/sports/games{
"games": [
{
"id": "9cdc0e3e-2e72-4076-bf8c-d941272f1a4f",
"slug": "bm-game-20260413-sea-rsl",
"sport": "soccer",
"homeTeamId": "44a72373-18df-4770-a475-32f4ade2b9bd",
"awayTeamId": "c4c564c6-bc66-49c7-90be-3199aea1a593",
"startDate": "2026-04-13T02:00:00+01:00",
"status": "UNPLAYED",
"isLive": false,
"isPopular": false,
"league": "USA - Major League Soccer",
"homeTeam": {
"id": "44a72373-18df-4770-a475-32f4ade2b9bd",
"sport": "soccer",
"name": "Seattle Sounders FC",
"slug": "bm-mls-seattle-sounders-fc",
"shortCode": "SEA",
"league": "USA - Major League Soccer",
"imageUrl": "https://cdn.opticodds.com/team-logos/soccer/5272.png",
"isPopular": false
},
"awayTeam": {
"id": "c4c564c6-bc66-49c7-90be-3199aea1a593",
"sport": "soccer",
"name": "Real Salt Lake",
"slug": "bm-mls-real-salt-lake",
"shortCode": "RSL",
"league": "USA - Major League Soccer",
"imageUrl": "https://cdn.opticodds.com/team-logos/soccer/5270.png",
"isPopular": false
}
}
],
"pagination": {
"page": 1,
"size": 20,
"totalCount": 120,
"lastPage": 6
}
}
Sports data
List sports games
Get a paginated list of sports games, optionally filtered by league or sport
GET
/
v1
/
pm
/
sports
/
games
List sports games
curl --request GET \
--url https://relay.bayse.markets/v1/pm/sports/games{
"games": [
{
"id": "9cdc0e3e-2e72-4076-bf8c-d941272f1a4f",
"slug": "bm-game-20260413-sea-rsl",
"sport": "soccer",
"homeTeamId": "44a72373-18df-4770-a475-32f4ade2b9bd",
"awayTeamId": "c4c564c6-bc66-49c7-90be-3199aea1a593",
"startDate": "2026-04-13T02:00:00+01:00",
"status": "UNPLAYED",
"isLive": false,
"isPopular": false,
"league": "USA - Major League Soccer",
"homeTeam": {
"id": "44a72373-18df-4770-a475-32f4ade2b9bd",
"sport": "soccer",
"name": "Seattle Sounders FC",
"slug": "bm-mls-seattle-sounders-fc",
"shortCode": "SEA",
"league": "USA - Major League Soccer",
"imageUrl": "https://cdn.opticodds.com/team-logos/soccer/5272.png",
"isPopular": false
},
"awayTeam": {
"id": "c4c564c6-bc66-49c7-90be-3199aea1a593",
"sport": "soccer",
"name": "Real Salt Lake",
"slug": "bm-mls-real-salt-lake",
"shortCode": "RSL",
"league": "USA - Major League Soccer",
"imageUrl": "https://cdn.opticodds.com/team-logos/soccer/5270.png",
"isPopular": false
}
}
],
"pagination": {
"page": 1,
"size": 20,
"totalCount": 120,
"lastPage": 6
}
}
Authentication
Public — no authentication required.Query parameters
Filter by league key (e.g., “England - Premier League”, “Spain - La Liga”).
Filter by sport (e.g., “soccer”, “basketball”).
Page number.
Results per page (max 100).
Example request
curl "https://relay.bayse.markets/v1/pm/sports/games?league=epl&page=1&size=20"
Response
Array of games matching the filter criteria.
Show child attributes
Show child attributes
Unique identifier for the team.
Sport type (e.g., “bm-game-20260413-rma-ath”).
Sport type (e.g., “soccer”, “basketball”).
URL-friendly team identifier.
URL-friendly team identifier.
Start Date of the sport game
League name.
Boolean field to indicate if game is currently live.
Whether this is a popular/featured team.
Home team details.
Show child attributes
Show child attributes
Unique identifier for the team.
Sport type (e.g., “soccer”, “basketball”).
Full team name.
URL-friendly team identifier.
Team short code.
League name.
URL to team logo (if available).
Whether this is a popular/featured team.
Away team details.
Show child attributes
Show child attributes
Unique identifier for the team.
Sport type (e.g., “soccer”, “basketball”).
Full team name.
URL-friendly team identifier.
Team short code.
League name.
URL to team logo (if available).
Whether this is a popular/featured team.
{
"games": [
{
"id": "9cdc0e3e-2e72-4076-bf8c-d941272f1a4f",
"slug": "bm-game-20260413-sea-rsl",
"sport": "soccer",
"homeTeamId": "44a72373-18df-4770-a475-32f4ade2b9bd",
"awayTeamId": "c4c564c6-bc66-49c7-90be-3199aea1a593",
"startDate": "2026-04-13T02:00:00+01:00",
"status": "UNPLAYED",
"isLive": false,
"isPopular": false,
"league": "USA - Major League Soccer",
"homeTeam": {
"id": "44a72373-18df-4770-a475-32f4ade2b9bd",
"sport": "soccer",
"name": "Seattle Sounders FC",
"slug": "bm-mls-seattle-sounders-fc",
"shortCode": "SEA",
"league": "USA - Major League Soccer",
"imageUrl": "https://cdn.opticodds.com/team-logos/soccer/5272.png",
"isPopular": false
},
"awayTeam": {
"id": "c4c564c6-bc66-49c7-90be-3199aea1a593",
"sport": "soccer",
"name": "Real Salt Lake",
"slug": "bm-mls-real-salt-lake",
"shortCode": "RSL",
"league": "USA - Major League Soccer",
"imageUrl": "https://cdn.opticodds.com/team-logos/soccer/5270.png",
"isPopular": false
}
}
],
"pagination": {
"page": 1,
"size": 20,
"totalCount": 120,
"lastPage": 6
}
}
⌘I